org.eclipse.mat.report

## Class Spec

- java.lang.Object
- - org.eclipse.mat.report.Spec

All Implemented Interfaces:
  IResult

Direct Known Subclasses:
  QuerySpec, SectionSpec

    public class Spec
    extends Object
    implements IResult

A container for combining results.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`
`Map<String,String>` `getParams()` Get the entire set of parameters.
`ResultMetaData` `getResultMetaData()` (Optionally) Return meta data of the result needed to fine-tune the display of the result.
`String` `getTemplate()`
`void` `merge(Spec other)` Merge with another Spec.
`void` `putAll(Map<String,String> map)` Add an entire map of a parameter names and values.
`void` `set(String key, String value)` Set a parameter to control the formatting of a report
`void` `setName(String name)`
`void` `setTemplate(String template)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getResultMetaData

    public ResultMetaData getResultMetaData()

Description copied from interface: `IResult`
(Optionally) Return meta data of the result needed to fine-tune the display of the result. This could include an additional context, an additional query to run on selected data from the result , additional calculated columns, or an indication that the results are already presorted.

Specified by:
  `getResultMetaData` in interface `IResult`
Returns:
  the metadata for the result, used to obtain extra data

#### getName

    public String getName()

#### setName

    public void setName(String name)

#### getTemplate

    public String getTemplate()

#### setTemplate

    public void setTemplate(String template)

#### getParams

    public Map<String,String> getParams()

Get the entire set of parameters.

Returns:
  the parameters

#### putAll

    public void putAll(Map<String,String> map)

Add an entire map of a parameter names and values.

Parameters:
  `map` - a map of names and associated values

#### set

    public void set(String key,
                    String value)

Set a parameter to control the formatting of a report

Parameters:
  `key` - a `Params` value
  `value` - the value which controls an aspect of the report

#### merge

    public void merge(Spec other)

Merge with another Spec. Combine the parameters and choose the other name if this has none.

Parameters:
  `other` - the other Spec